import pickle
def mod2pi(q):
    return (float(RDF(q[0]).restrict_angle()),
            float(RDF(q[1]).restrict_angle()))

# create a piecewise affine trajectory
n = 43
q0 = vector((0, pi/4))
q1 = vector((0, pi/4))
q2 = vector((pi/4, pi/4))
q3 = q2 + vector((4*pi, 4*pi))
traj01 = [q0+(q1-q0)*t/n for t in range(n)]
traj12 = [q1+(q2-q1)*t/n for t in range(n)]
traj23 = [q2+(q3-q2)*t/n for t in range(n)]
traj = traj01 + traj12 + traj23
# the same, restricted to ]-pi, pi]
traj_mod = [mod2pi(q) for q in traj]
with open('traj_mod.pickle', 'wb') as f:
    pickle.dump(traj_mod, f)
#with open('traj_mod', 'rb') as f:
#    traj_mod = pickle.load(f)
# For some reason, ``line`` doesn't display the negative points of ``traj_mod``
#show(line(traj, color='green') + line(traj_mod, color='red') + point(traj_mod[290], color='blue'))
L = line2d([mod2pi(q) for q in traj01+traj12+traj23], color='red')
show(line(traj, color='green') + L)
print(traj_mod[120])
print(L[0][120])
